package com.hongyegroup.cpt_parttime.router

import android.content.Context
import androidx.fragment.app.Fragment
import com.alibaba.android.arouter.facade.annotation.Route
import com.guadou.cs_router.ARouterPath
import com.guadou.cs_router.parttime.IParttimeComponentServer
import com.guadou.lib_baselib.utils.log.YYLogUtils
import com.hongyegroup.cpt_parttime.ui.JobActivesFragment
import com.hongyegroup.cpt_parttime.ui.PartJobProfileFragment
import com.hongyegroup.cpt_parttime.ui.PartTimeMainFragment

@Route(path = ARouterPath.PATH_SERVICE_PARTTIME, name = "PartTime模块路由服务")
class PartTimeComponentServiceImpl : IParttimeComponentServer {

    override fun startPartTimeJobDetailPage() {
        YYLogUtils.w("PartTimeComponentServiceImpl-startPartTimeJobDetailPage")
    }

    override fun obtainPartTimeMainFragment(): Fragment {
        return PartTimeMainFragment()
    }

    override fun obtainPartTimeActivesFragment(): Fragment {
        return JobActivesFragment()
    }

    override fun obtainPartTimeProfileFragment(): Fragment {
        return PartJobProfileFragment()
    }

    override fun init(context: Context?) {
        YYLogUtils.w("PartTimeComponentServiceImpl-init")
    }


}